///////////////////////////////////////////////////////////////////////////////
//
// Meltice 2.x source code.
//
///////////////////////////////////////////////////////////////////////////////
// C_CONFIG.H = Config group / declarations for prototype functions.
//              (C_******.CPP need this header file.)
///////////////////////////////////////////////////////////////////////////////
// $Id: C_CONFIG.H,v 1.16 2001/12/22 09:44:13 ardry Exp $ 
///////////////////////////////////////////////////////////////////////////////

//-----------------------------------------------------------------------------
//for C_MEMSET.CPP

/// for Do / DoIt group
extern bool get_cfg_readonly(void);

extern bool get_autolang(void);
extern int get_dialog_x(void);
extern int get_dialog_y(void);
extern bool get_writelog(void);

extern char *get_packexp(char *pexp);
extern char *get_packmxd(char *pmxd);
extern bool ispackexp(const char *yourexp);
extern void get_destdir(char *outdir, const int dirlen, const int sw);
extern bool get_opendir(const int sw);
extern void get_opdirex(char *runcmd, const int cmdlen, const int sw);
extern bool get_samedir(const int sw);
extern bool get_optmdir(const int sw);
extern bool get_ncutdir(const int sw);
extern bool get_noardll(const int sw);

/// for c_iniset, c_regset
extern void set_cfg_readonly(const bool ronly);

extern void set_autolang(const bool alang);
extern void set_dialog_x(int xpos);
extern void set_dialog_y(int ypos);
extern void set_writelog(const bool wlog);

extern void set_packexp(const char *mexp);
extern void set_packmxd(const char *pmxd);
extern void set_destdir(char *outdir, const int dirlen, const int sw);
extern void set_opendir(const bool opdir, const int sw);
extern void set_opdirex(const char *runcmd, const int cmdlen, const int sw);
extern void set_samedir(const bool smdir, const int sw);
extern void set_optmdir(const bool opdir, const int sw);
extern void set_ncutdir(const bool ncdir, const int sw);
extern void set_noardll(const bool nadll, const int sw);


//-----------------------------------------------------------------------------
//for C_INISET.CPP

extern void GetINIfilename(char *Path, const int PathLen);
extern void InicfgToMemcfg(void);
extern void MemcfgToInicfg(HWND hDlg);

//-----------------------------------------------------------------------------
//for C_MSGCFG.CPP
extern char *Get_MsgCfg_String(char *string, int code);

