///////////////////////////////////////////////////////////////////////////////
//
// Meltice 2.x source code.
//
///////////////////////////////////////////////////////////////////////////////
// W_DLLVER.CPP = Window group / get DLL VERsions.
///////////////////////////////////////////////////////////////////////////////
// $Id: W_DLLVER.CPP,v 1.32 2002/04/24 14:11:10 ardry Exp $ 
///////////////////////////////////////////////////////////////////////////////

#include	<windows.h>

// for commpn ARchiver prj's DLL GetVersion API.
#include	"di_doit.h"
#include	"c_config.h"
#include	"w_global.h"

#define		BUF_LEN	4096
#define		MSGBUF	256

void w_show_ardllver(HWND hDlg)
{
	//dummy.
	char *msgbuf = new char[BUF_LEN]; // Message.
	char *tmpbuf = new char[BUF_LEN]; // Temp.
	char *msgcfgbuf = new char[MSGBUF]; // MessageConfig Buf.

#if     _MSC_VER > 1000
	Get_MsgCfg_String(msgcfgbuf, IDS_STR_BUILTINFO);
	wsprintf(tmpbuf, msgcfgbuf,"Visual C++");
#endif
#ifdef __BORLANDC__
	Get_MsgCfg_String(msgcfgbuf, IDS_STR_BUILTINFO);
	wsprintf(tmpbuf, msgcfgbuf,"Borland C++");
#endif

//		"Meltice for Windows / Ver.2.0.3 Release.\n"
	Get_MsgCfg_String(msgcfgbuf, IDS_STR_VERSION);
	wsprintf(msgbuf,
		"Meltice for Windows %s\n"
		"Copyright (C)2000-2002 ardry, Project Meltice.\n\n"
		"  E-Mail : ardry@users.sourceforge.jp\n"
		"  Web URL : http://ardry.pos.to/asl/meltice/\n\n"
		"%s",msgcfgbuf,tmpbuf);

#ifdef	MELTICE
	int  tmpver;					// DLL Versions.
	static char dllname[10][16] = {"","UNLHA32.DLL","UNZIP32.DLL","ZIP32J.DLL","CAB32.DLL","TAR32.DLL", "BGA32.DLL","YZ1.DLL", "JACK32.DLL"};

	bool arcprjdll_flag = false;
	for(int i=1; i<=8; i++){
		tmpver = ardll_get_version(i);
		if(tmpver != 0 && get_noardll(0)==false){
			if(arcprjdll_flag == false)
			{
				Get_MsgCfg_String(msgcfgbuf, IDS_STR_ARCPRJMSG);
				lstrcat(msgbuf, "\n\n");
				lstrcat(msgbuf, msgcfgbuf);
				arcprjdll_flag = true;
			}
			wsprintf(tmpbuf,"\n\t%-12s \t Ver.%d.%02d", dllname[i], tmpver/100, tmpver%100);
			strncat(msgbuf, tmpbuf, BUF_LEN);
		}
	}


	clmpi_get_version(1); //dummy!
	int iGetmxd = get_findmxd();

	if(iGetmxd != 0)
	{
		Get_MsgCfg_String(msgcfgbuf, IDS_STR_MXDPRJMSG);
		wsprintf(tmpbuf,"\n %s",msgcfgbuf);
		wsprintf(msgbuf,"%s\n%s", msgbuf, tmpbuf);

		char *filenamebuf = new char[BUF_LEN]; // Temp.
		for(int i=1; i<=iGetmxd;i++)
		{
			tmpver = clmpi_get_version(i);
			if(tmpver >= 1) // Ver.0.00.1-...
			{
				wsprintf(tmpbuf,"\n\t%-12s \t Ver.%d.%02d.%d", 
					get_mxdfilename(filenamebuf,i), 
					tmpver/1000, (tmpver%1000)/10, tmpver%10);
				strncat(msgbuf, tmpbuf, BUF_LEN);
				if(i>9)
				{
					strncat(msgbuf, "\n\t\t:  (etc mxd files)", BUF_LEN);
					break;
				}
			}
		}
		delete [] filenamebuf;
	}
#endif
//endif MELTICE

	Get_MsgCfg_String(msgcfgbuf, IDS_STR_VERINF_TITLE);
	MessageBox(hDlg,msgbuf,msgcfgbuf,MB_ICONINFORMATION);
	delete [] msgcfgbuf;
	delete [] tmpbuf;
	delete [] msgbuf;
}
